version: '3.9'
services:
    ref:
        hostname: 505-ref
        image: 'reflectors'
        restart: unless-stopped
        ports:
          - published: 41400  # NXDN Reflector
            target: 41400
            protocol: udp
            mode: host
          - published: 41000  # P25 Reflector
            target: 41000
            protocol: udp
            mode: host
          - published: 42001  # YSF Reflector
            target: 42001
            protocol: udp
            mode: host

        volumes:
          - /config/505/reflectors/nxdnreflector:/opt/NXDNReflector
          - /config/505/reflectors/p25reflector:/opt/P25Reflector
          - /config/505/reflectors/ysfreflector:/opt/YSFReflector
          - /var/log/505:/var/log/mmdvm
          - /data/505/mmdvm/:/var/lib/mmdvm
          - /data/505/dvswitch/:/var/lib/dvswitch
#          - /data/pride/reflectors://var/log
        environment:
          - M17REF=0
          - P25REF=1
          - NXDNREF=1
          - YSFREF=1
          - XLXD=0
          - HTTPD=0
        networks:
          stream_net:
            ipv4_address: 10.200.0.14


networks:
    stream_net:
        driver: bridge
        name:  stream_net
        ipam:
           driver: default
           config:
           - subnet: "10.200.0.0/24"
             gateway: "10.200.0.1"
